use std::process::{Child, Command};

pub struct Tray {
    child: Child
}

impl Tray {
    pub fn new() -> Tray {
        let child = Command::new("stalonetray")
            .arg("-c").arg("/dev/null")
            .arg("--geometry").arg("1x1-0+0")
            .arg("-bg").arg("black")
            .arg("--grow-gravity").arg("SE")
            .arg("--icon-size").arg("20")
            .arg("--kludges").arg("force_icons_size")
            .spawn()
            .unwrap_or_else(|e| { panic!("Could not start stalonetray: {}", e) });

        Tray {
            child: child
        }
    }
}

impl Drop for Tray {
    fn drop(&mut self) {
        self.child.kill().ok();
    }
}
